Package org.apache.torque.generator.configuration.mergepoint

# Class TraverseAllActionSaxHandler

java.lang.Object
org.xml.sax.helpers.DefaultHandler
org.apache.torque.generator.configuration.mergepoint.ActionSaxHandler
org.apache.torque.generator.configuration.mergepoint.TraverseAllActionSaxHandler

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

public class TraverseAllActionSaxHandler extends ActionSaxHandler
A SAX handler which reads the configuration for a TraverseAllAction and creates and configures the Action according to the values in the configuration XML.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TraverseAllActionSaxHandler(String uri, String localName, String qName, Attributes attributes, ConfigurationProvider configurationProvider, UnitDescriptor unitDescriptor)`
  Creates a TraverseAllActionSaxHandler for redaing the configuration of a TraverseAllAction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `startElement(String uri, String localName, String rawName, Attributes attributes)`

  ### Methods inherited from class org.apache.torque.generator.configuration.mergepoint.ActionSaxHandler

  `getAction, getConfigurationProvider, getUnitDescriptor`

  ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

  `characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.xml.sax.ContentHandler

  `declaration`

- ## Constructor Details

  - ### TraverseAllActionSaxHandler

    public TraverseAllActionSaxHandler(String uri, String localName, String qName, Attributes attributes, ConfigurationProvider configurationProvider, UnitDescriptor unitDescriptor) throws SAXException
    Creates a TraverseAllActionSaxHandler for redaing the configuration of a TraverseAllAction.
    Parameters:
      `uri` - The namespace URI of the action element, or the empty string if the element has no namespace URI or if namespace processing is not being performed.
      `localName` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
      `qName` - - The qualified name (with prefix, if present), or the empty string if qualified names are not available.
      `attributes` - The attributes attached to the element.
      `configurationProvider` - for accessing the configuratiopn files, not null.
      `unitDescriptor` - The description of the generation unit, not null.
    Throws:
      `NullPointerException` - if an argument is null.
      `SAXException` - if the element cannot be processed correctly.

- ## Method Details

  - ### startElement

    public void startElement(String uri, String localName, String rawName, Attributes attributes) throws SAXException
    Specified by:
      `startElement` in interface `ContentHandler`
    Overrides:
      `startElement` in class `ActionSaxHandler`
    Throws:
      `SAXException`